summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMatthewLi <matthew.lijun@huawei.com>2016-01-06 05:13:34 -0500
committerMatthewLi <matthew.lijun@huawei.com>2016-01-06 05:36:55 -0500
commitbbc3f2fc62fafbb05d08a0f7fd8e77781657a20b (patch)
treee0051ced5a597b297276e2fb3fd3619c99e7864a
parent9d958be25bb348ab08f320b04b8a0e47cce11945 (diff)
add debug function for vstf to test in lf openstack env
JIRA: BOTTLENECK-38 Change-Id: Ie1f44665c74ac8ea5f26cc75e571caafbb0999d7 Signed-off-by: MatthewLi <matthew.lijun@huawei.com>
-rwxr-xr-xci/vstf_run.sh17
-rwxr-xr-xutils/infra_setup/heat_template/vstf_heat_template/vstf_HOT_create_instance.sh44
2 files changed, 61 insertions, 0 deletions
diff --git a/ci/vstf_run.sh b/ci/vstf_run.sh
new file mode 100755
index 00000000..f25195ab
--- /dev/null
+++ b/ci/vstf_run.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+set -ex
+
+BOTTLENECKS_REPO=https://gerrit.opnfv.org/gerrit/bottlenecks
+
+SCRIPT_DIR=`cd ${BASH_SOURCE[0]%/*};pwd`
+GERRIT_REFSPEC_DEBUG=$1
+
+if [ x"$GERRIT_REFSPEC_DEBUG" != x ]; then
+ git fetch $BOTTLENECKS_REPO $GERRIT_REFSPEC_DEBUG && git checkout FETCH_HEAD
+fi
+
+$SCRIPT_DIR/../utils/infra_setup/heat_template/vstf_heat_template/vstf_HOT_create_instance.sh $GERRIT_REFSPEC_DEBUG
+
+set +ex
+
diff --git a/utils/infra_setup/heat_template/vstf_heat_template/vstf_HOT_create_instance.sh b/utils/infra_setup/heat_template/vstf_heat_template/vstf_HOT_create_instance.sh
new file mode 100755
index 00000000..820593bd
--- /dev/null
+++ b/utils/infra_setup/heat_template/vstf_heat_template/vstf_HOT_create_instance.sh
@@ -0,0 +1,44 @@
+#!/bin/bash
+
+set -ex
+
+GERRIT_REFSPEC_DEBUG=$1
+
+echo "vstf DEBUG test"
+echo "vstf workflow goes here"
+
+bottlenecks_env_prepare()
+{
+ if [ -d $BOTTLENECKS_REPO_DIR ]; then
+ rm -rf ${BOTTLENECKS_REPO_DIR}
+ fi
+
+ mkdir -p ${BOTTLENECKS_REPO_DIR}
+ git config --global http.sslVerify false
+ git clone ${BOTTLENECKS_REPO} ${BOTTLENECKS_REPO_DIR}
+ if [ x"$GERRIT_REFSPEC_DEBUG" != x ]; then
+ cd ${BOTTLENECKS_REPO_DIR}
+ git fetch $BOTTLENECKS_REPO $GERRIT_REFSPEC_DEBUG && git checkout FETCH_HEAD
+ cd -
+ fi
+
+ #obtain installer(openstack) IP, etc, use rubbos's temporarily, later we can amend this
+ source $BOTTLENECKS_REPO_DIR/rubbos/rubbos_scripts/1-1-1/scripts/env_preparation.sh
+}
+
+#vstf logic function here
+
+main()
+{
+ echo "bottlenecks vstf: create instances with heat template"
+
+ BOTTLENECKS_REPO=https://gerrit.opnfv.org/gerrit/bottlenecks
+ BOTTLENECKS_REPO_DIR=/tmp/opnfvrepo/bottlenecks
+ #vstf parameter here
+
+ bottlenecks_env_prepare
+ #vstf function here
+}
+
+main
+set +ex